Loading...
Searching...
No Matches
coap_endpoint_t Struct Reference
Libcoap Internal API » Sessions

Abstraction of virtual endpoint that can be attached to coap_context_t. More...

`#include <coap_session_internal.h>`

Collaboration diagram for coap_endpoint_t:
[legend]

## Data Fields

struct coap_endpoint_t * | next
coap_context_t * | context
| endpoint's context
coap_proto_t | proto
| protocol used on this interface
uint16_t | default_mtu
| default mtu for this interface
coap_socket_t | sock
| socket object for the interface, if any
coap_address_t | bind_addr
| local interface address
coap_session_t * | sessions
| hash table or list of active sessions

## Detailed Description

Abstraction of virtual endpoint that can be attached to coap_context_t.

The keys (port, bind_addr) must uniquely identify this endpoint.

Definition at line 232 of file coap_session_internal.h.

## Field Documentation

## bind_addr

coap_address_t coap_endpoint_t::bind_addr

local interface address

Definition at line 239 of file coap_session_internal.h.

## context

coap_context_t* coap_endpoint_t::context

endpoint's context

Definition at line 234 of file coap_session_internal.h.

## default_mtu

uint16_t coap_endpoint_t::default_mtu

default mtu for this interface

Definition at line 236 of file coap_session_internal.h.

## next

struct coap_endpoint_t* coap_endpoint_t::next

Definition at line 233 of file coap_session_internal.h.

## proto

coap_proto_t coap_endpoint_t::proto

protocol used on this interface

Definition at line 235 of file coap_session_internal.h.

## sessions

coap_session_t* coap_endpoint_t::sessions

hash table or list of active sessions

Definition at line 240 of file coap_session_internal.h.

## sock

coap_socket_t coap_endpoint_t::sock

socket object for the interface, if any

Definition at line 237 of file coap_session_internal.h.

The documentation for this struct was generated from the following file:

- coap_session_internal.h